package br.exemploapplication.fragment;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import br.exemploapplication.R;
import br.exemploapplication.application.CustomApplication;

public class FirstFragment extends Fragment {
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState){
		super.onCreateView(inflater, container, savedInstanceState);
		View view = (LinearLayout) inflater.inflate(R.layout.fragment_layout, null);
		
		CustomApplication customApplication = (CustomApplication) getActivity().getApplicationContext();
		
		TextView tv = (TextView) view.findViewById(R.id.tvFragment);
		tv.setText("Fragment 1 (First fragment)");
		
		tv = (TextView) view.findViewById(R.id.tvId);
		tv.setText("ID: "+customApplication.getList().get(0).getId());
		
		tv = (TextView) view.findViewById(R.id.tvName);
		tv.setText("Name: "+customApplication.getList().get(0).getName());
		
		tv = (TextView) view.findViewById(R.id.tvList);
		tv.setText("Qtd. objs list: "+customApplication.getList().size());
		
		ImageView iv = (ImageView) view.findViewById(R.id.ivFragment);
		iv.setImageBitmap(customApplication.getList().get(0).getImage());
		
		return(view);
	}
}
