package br.exemploapplication;


import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import br.exemploapplication.application.CustomApplication;
import br.exemploapplication.domain.User;

public class MainActivity extends Activity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		List<User> list = new ArrayList<User>();
		
		User u = new User();
		u.setId(1);
		u.setName("Usurio First Fragment");
		u.setImage(BitmapFactory.decodeResource(getResources(), R.drawable.user_1));
		list.add(u);
		
		u = new User();
		u.setId(2);
		u.setName("Usurio Second Fragment");
		u.setImage(BitmapFactory.decodeResource(getResources(), R.drawable.user_2));
		list.add(u);
		
		u = new User();
		u.setId(3);
		u.setName("Usurio Second Activity");
		u.setImage(BitmapFactory.decodeResource(getResources(), R.drawable.user_3));
		list.add(u);
		
		CustomApplication customApplication = (CustomApplication) getApplicationContext();
		customApplication.setList(list);
	}
	
	
	// LISTENER
		public void callActivity(View v){
			Intent intent;
			
			if(v.getId() == R.id.btCustomActionBarActivity){
				intent = new Intent(MainActivity.this, CustomActionBarActivity.class);
			}
			else{
				intent = new Intent(MainActivity.this, SecondActivity.class);
			}
			
			startActivity(intent);
		}
}
