package br.exemploapplication.application;

import java.util.ArrayList;
import java.util.List;

import br.exemploapplication.domain.User;
import android.app.Application;
import android.util.Log;

public class CustomApplication extends Application {
	private List<User> list;
	
	
	@Override
	public void onCreate(){
		super.onCreate();
		Log.i("Script", "onCreate()");
		
		list = new ArrayList<User>();
	}


	@Override
	public void onLowMemory(){
		super.onLowMemory();
		Log.i("Script", "onLowMemory()");
	}
	
	
	@Override
	public void onTrimMemory(int level){
		super.onTrimMemory(level);
		Log.i("Script", "onTrimMemory("+level+")");
		Log.i("Script", "TRIM_MEMORY_BACKGROUND: "+TRIM_MEMORY_BACKGROUND);
		Log.i("Script", "TRIM_MEMORY_COMPLETE: "+TRIM_MEMORY_COMPLETE);
		Log.i("Script", "TRIM_MEMORY_MODERATE: "+ TRIM_MEMORY_MODERATE);
		Log.i("Script", "TRIM_MEMORY_RUNNING_CRITICAL: "+TRIM_MEMORY_RUNNING_CRITICAL);
		Log.i("Script", "TRIM_MEMORY_RUNNING_LOW: "+TRIM_MEMORY_RUNNING_LOW);
		Log.i("Script", "TRIM_MEMORY_RUNNING_MODERATE: "+TRIM_MEMORY_RUNNING_MODERATE);
		Log.i("Script", "TRIM_MEMORY_UI_HIDDEN: "+TRIM_MEMORY_UI_HIDDEN);
	}
	
	
	// SETTERS / GETTERS
		public List<User> getList() {
			return list;
		}
		public void setList(List<User> list) {
			this.list = list;
		}
}
